%define major		0
%define libname		lib%{name}
%define fulllibname	%mklibname %{name} %{major}
%define develname	%mklibname -d %{name}

Name:		a52dec
Version:	0.7.4
Release:	19
Summary:	A free ATSC A/52 stream decoder library
License:	GPLv2+
Group:		Video
URL:		http://liba52.sourceforge.net
Source:		%{name}-%{version}.tar.bz2
Patch0:		a52dec-0.7.4-pic.patch
BuildRequires:	autoconf2.5
BuildRequires:	chrpath
Provides:	liba52-apps
Requires:	%{fulllibname} = %{version}-%{release}


%description
liba52 is a free library for decoding ATSC A/52 streams.

The A/52 standard is used in a variety of applications, including
digital television and DVD. It is also known as AC-3.

%package -n %{fulllibname}
Summary:	Libraries for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	liba52dec_0 = %{version}-%{release}
Provides:	liba52_0 = %{version}-%{release}
Provides:	liba520 = %{version}-%{release}

%description -n %{fulllibname}
liba52 is a free library for decoding ATSC A/52 streams.

The A/52 standard is used in a variety of applications, including
digital television and DVD. It is also known as AC-3.

This package contains libraries needed to run programs linked with %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{fulllibname} = %{version}
Provides:	%{libname}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
liba52 is a free library for decoding ATSC A/52 streams.

The A/52 standard is used in a variety of applications, including
digital television and DVD. It is also known as AC-3.

This package contains development files needed to compile programs which
use %{name}.

%prep
%setup -q
%patch0 -p1 -b .pic
autoconf

%build
export CFLAGS="%{optflags} -fPIC"
%configure2_5x --enable-shared --disable-static
%make

%install
%makeinstall_std
chrpath -d %{buildroot}%{_bindir}/a52dec

%files
%doc AUTHORS COPYING NEWS README TODO HISTORY
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{fulllibname}
%{_libdir}/liba52.so.%{major}*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.7.4-19
+ Revision: 809ff79
- MassBuild#440: Increase release tag


